> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Methods Mapping

The following table contains Transaction SOAP methods and the equivalent REST operations:

| SOAP Methods | Rest Equivalent | Comments |
| - | - | - |
| `addressAndSalesTaxFromPayPalOrder` |   | Currently not on the roadmap |
| `auth` | `POST /transactions` |   |
| `authCapture` | `POST /transactions` | For REST, "to\_be\_captured" should be set to true. |
| `calculateSalesTax` | `POST /transactions?dryrun =<boolean>` |   |
| `cancel` | `POST /transactions/<transaction>/actions/cancel>` |   |
| `capture` | `POST /transactions//actions/capture` |   |
| `fetchByAccount` | `GET /transactions?account=<account>, include_children` |   |
| `fetchByAutoBill` | `GET /transactions?subscription=<subscription>` |   |
| `fetchByMerchantTransactionId` | `GET /transactions/<transaction>` |   |
| `fetchByPaymentMethod` | `GET /transactions?source_payment_method=<source_payment_method>` | For Rest API, the source \_payment\_method query parameter is of Enum Type. |
| `fetchByVid` | `GET /transactions/<transaction>` |   |
| `fetchByWebsessionId` | N/A | Will not be implemented. See the [SOAP Operations not Implemented in REST](SOAPOperationsNotImplementedInREST) topic. |
| `fetchDelta` | N/A | Will not be implemented. See the [SOAP Operations not Implemented in REST](SOAPOperationsNotImplementedInREST) topic. |
| `fetchDeltaSince` | N/A | Will not be implemented. See the [SOAP Operations not Implemented in REST](SOAPOperationsNotImplementedInREST) topic. |
| `finalizeCarrierBilling` | `POST /transactions/<transaction>/actions/finish?confirmation_code=<confirmation_code>` |   |
| `finalizeCustomerAction` | `POST /transactions/<transaction>/actions/finish` |   |
| `finalizeSCAuth` | `POST /transactions/<transaction>/actions/finish?sca_token=<sca_token>` |   |
| `finalizePayPalAuth` | `POST /transactions/<transaction>/actions/finish` |   |
| `migrate` |   | Currently not on the roadmap |
| `report` | N/A | Will not be implemented. See the [SOAP Operations not Implemented in REST](SOAPOperationsNotImplementedInREST) topic. |
| `score` | `POST /transactions?dryrun=<boolean>` | For REST, scoring is performed via Dryrun. API returns Transactions with scores |

**Parent topic:**[Operations Mapping](../topics/OperationsMapping)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.